[blfs-book] r9337 - trunk/BOOK/x/lib

ken at linuxfromscratch.org ken at linuxfromscratch.org
Thu Feb 9 09:46:25 PST 2012


Author: ken
Date: 2012-02-09 10:46:20 -0700 (Thu, 09 Feb 2012)
New Revision: 9337

Modified:
   trunk/BOOK/x/lib/webkitgtk.xml
Log:
Webkitgtk - change the configure to a gnome version while trying to keep users of webkit-on-gtk2 happy.

Modified: trunk/BOOK/x/lib/webkitgtk.xml
===================================================================
--- trunk/BOOK/x/lib/webkitgtk.xml	2012-02-09 16:52:33 UTC (rev 9336)
+++ trunk/BOOK/x/lib/webkitgtk.xml	2012-02-09 17:46:20 UTC (rev 9337)
@@ -83,10 +83,16 @@
   <sect2 role="installation">
     <title>Installation of WebKitGTK+</title>
 
+    <para>These instructions assume you are installing
+    <application>WebKitGTK+</application> to support a
+    <application>GNOME</application> desktop - if not, please review the
+    explanations for the various optional parameters.</para>
+
     <para>Install <application>WebKitGTK+</application> by running the
     following commands:</para>
 
-<screen><userinput>./configure --prefix=/usr --with-gtk=2.0 &&
+<screen><userinput>./configure --prefix=/usr --with-gtk=3.0 \
+            --enable-introspection &&
 make</userinput></screen>
 
     <para>To test the results, issue: <command>make check</command> (you must be
@@ -102,6 +108,11 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
+    <para><parameter>--with-gtk=3.0</parameter>: This switch forces
+    <application>Webkit</application> to compile against
+    <application>Gtk+-3</application> and is required for a
+    <application>GNOME</application> desktop.</para>
+
     <para><option>--with-gtk=2.0</option>: This option forces
     <application>Webkit</application> to compile against
     <application>Gtk+-2</application>, even if
@@ -113,7 +124,8 @@
     with no namespace conflicts.</para>
 
     <para><option>--enable-introspection</option>: This option enables support
-    for gobject-introspection.</para>
+    for gobject-introspection and is required for a
+    <application>GNOME</application>.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gtk-doc-rebuild.xml"/>




More information about the blfs-book mailing list